%define pkg_name        Hash-NoRef
%define pkg_version     0.03
%define rpm_pkg_version 0.03
%define rpm_pkg_release 4.n0i.5

Summary:       A HASH that store values without increasing the reference count
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/G/GM/GMPASSOS/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Test)}


%description
This HASH will store it's values without increse the reference count.
This can be used to store objects but without interfere in the DESTROY
mechanism, since the reference in this HASH won't count.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_eol}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Thu May 31 2007 Marius Feraru <altblue@n0i.net> - 0.03-4.n0i.5
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 0.03-3.n0i.4
- automatic rebuild (perl 5.8.8)

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 0.03-2.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.03-1.n0i.2
- automatic rebuild (perl 5.8.6)

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:0.03-1.n0i.1
- version 0.03
- spec file (re?)created using N0i::CPAN::RPMizer/2004083101
